## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-a2wsgi
Version:        1.10.8
Release:        %autorelease
Summary:        Convert WSGI app to ASGI app or ASGI app to WSGI app
License:        Apache-2.0
URL:            https://github.com/abersheeran/a2wsgi
Source:         %{pypi_source a2wsgi}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-pytest
BuildRequires:  python3-pytest-asyncio
BuildRequires:  python3-httpx
%if %{undefined rhel}
# starlette is not yet packaged in EPEL
BuildRequires:  python3-starlette
%endif

%global _description %{expand:
Convert WSGI app to ASGI app or ASGI app to WSGI app.  Pure Python.  Only
depend on the standard library.  Compared with other converters, the advantage
is that a2wsgi will not accumulate the requested content or response content in
the memory, so you do not have to worry about the memory limit caused by
a2wsgi.  This problem exists in converters implemented by uvicorn/startlette or
hypercorn.}


%description %_description


%package -n python3-a2wsgi
Summary:        %{summary}


%description -n python3-a2wsgi %_description


%prep
%autosetup -p1 -n a2wsgi-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files a2wsgi

# The pdm build backend includes the license files, but currently the
# pyproject macros don't mark these files as licenses.
sed -e '/LICENSE/ s/^/%%license /' -i %{pyproject_files}


%check
# baize is not yet packaged in Fedora or EPEL
SKIPS='not test_baize_stream_response'

%if %{defined rhel}
# starlette is not yet packaged in EPEL
SKIPS+=' and not test_starlette_stream_response and not test_starlette_base_http_middleware'
%endif

# this test fails with httpx older than 0.28
SKIPS+=' and not test_wsgi_post'

# This project doesn't use the src layout.  Set the import mode during tests to
# ensure we tests the installed Python module, not the local directory.
%pytest --import-mode append --verbose -k "$SKIPS"


%files -n python3-a2wsgi -f %{pyproject_files}
%doc README.md


%changelog
## START: Generated by rpmautospec
* Wed Jan 08 2025 Carl George <carlwgeorge@fedoraproject.org> - 1.10.8-1
- Update to version 1.10.8 rhbz#2243608

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun Jun 09 2024 Python Maint <python-maint@redhat.com> - 1.7.0-4
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Sep 25 2023 Carl George <carlwgeorge@fedoraproject.org> - 1.7.0-1
- Initial package, resolves rhbz#2240682
## END: Generated by rpmautospec
